%{?mingw_package_header}

Name:           mingw-xz
Version:        5.1.2
Release:        3alpha%{?dist}
Summary:        Cross-compiled LZMA compression utilities

License:        LGPLv2+
Group:          Applications/File
URL:            http://tukaani.org/xz/
Source0:        http://tukaani.org/xz/xz-%{version}alpha.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils


%description
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


# Mingw32
%package -n mingw32-xz
Summary:        Cross-compiled LZMA compression utilities
Requires:       mingw32-xz-libs = %{version}-%{release}

%description -n mingw32-xz
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


%package -n mingw32-xz-libs
Summary:        Libraries for decoding LZMA compression
Group:          Development/Libraries


%description -n mingw32-xz-libs
Libraries for decoding files compressed with LZMA or XZ utils.


%package -n mingw32-xz-libs-static
Summary:        Static version of the xz library
Requires:       mingw32-xz-libs = %{version}-%{release}
Group:          Development/Libraries


%description -n mingw32-xz-libs-static
Static version of the xz library.


# Mingw64
%package -n mingw64-xz
Summary:        Cross-compiled LZMA compression utilities
Requires:       mingw64-xz-libs = %{version}-%{release}

%description -n mingw64-xz
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.


%package -n mingw64-xz-libs
Summary:        Libraries for decoding LZMA compression
Group:          Development/Libraries


%description -n mingw64-xz-libs
Libraries for decoding files compressed with LZMA or XZ utils.


%package -n mingw64-xz-libs-static
Summary:        Static version of the xz library
Requires:       mingw64-xz-libs = %{version}-%{release}
Group:          Development/Libraries


%description -n mingw64-xz-libs-static
Static version of the xz library.


%?mingw_debug_package


%prep
%setup -q -n xz-%{version}alpha


%build
MINGW32_CFLAGS="%{mingw32_cflags} -D_FILE_OFFSET_BITS=64" \
MINGW64_CFLAGS="%{mingw64_cflags} -D_FILE_OFFSET_BITS=64" \
%mingw_configure --disable-nls \
                 --disable-threads \
                 --disable-lzmadec \
                 --disable-lzmainfo \
                 --disable-lzma-links \
                 --disable-scripts
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

iconv -f latin1 -t utf-8 < NEWS > NEWS.utf8; cp NEWS.utf8 NEWS
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name cpio.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name mtree.5 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name tar.5 -exec rm -f {} ';'

# Remove documentation which duplicates that found in the native package.
rm -r $RPM_BUILD_ROOT/%{mingw32_prefix}/share
rm -r $RPM_BUILD_ROOT/%{mingw64_prefix}/share


# Win32
%files -n mingw32-xz
%doc COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv2.1
%{mingw32_bindir}/unxz.exe
%{mingw32_bindir}/xz.exe
%{mingw32_bindir}/xzcat.exe
%{mingw32_bindir}/xzdec.exe

%files -n mingw32-xz-libs
%{mingw32_bindir}/liblzma-5.dll
%dir %{mingw32_includedir}/lzma
%{mingw32_includedir}/lzma.h
%{mingw32_includedir}/lzma/base.h
%{mingw32_includedir}/lzma/bcj.h
%{mingw32_includedir}/lzma/block.h
%{mingw32_includedir}/lzma/check.h
%{mingw32_includedir}/lzma/container.h
%{mingw32_includedir}/lzma/delta.h
%{mingw32_includedir}/lzma/filter.h
%{mingw32_includedir}/lzma/hardware.h
%{mingw32_includedir}/lzma/index.h
%{mingw32_includedir}/lzma/index_hash.h
%{mingw32_includedir}/lzma/lzma.h
%{mingw32_includedir}/lzma/stream_flags.h
%{mingw32_includedir}/lzma/version.h
%{mingw32_includedir}/lzma/vli.h
%{mingw32_libdir}/liblzma.dll.a
%{mingw32_libdir}/pkgconfig/liblzma.pc

%files -n mingw32-xz-libs-static
%{mingw32_libdir}/liblzma.a


# Win64
%files -n mingw64-xz
%doc COPYING COPYING.GPLv2 COPYING.GPLv3 COPYING.LGPLv2.1
%{mingw64_bindir}/unxz.exe
%{mingw64_bindir}/xz.exe
%{mingw64_bindir}/xzcat.exe
%{mingw64_bindir}/xzdec.exe

%files -n mingw64-xz-libs
%{mingw64_bindir}/liblzma-5.dll
%dir %{mingw64_includedir}/lzma
%{mingw64_includedir}/lzma.h
%{mingw64_includedir}/lzma/base.h
%{mingw64_includedir}/lzma/bcj.h
%{mingw64_includedir}/lzma/block.h
%{mingw64_includedir}/lzma/check.h
%{mingw64_includedir}/lzma/container.h
%{mingw64_includedir}/lzma/delta.h
%{mingw64_includedir}/lzma/filter.h
%{mingw64_includedir}/lzma/hardware.h
%{mingw64_includedir}/lzma/index.h
%{mingw64_includedir}/lzma/index_hash.h
%{mingw64_includedir}/lzma/lzma.h
%{mingw64_includedir}/lzma/stream_flags.h
%{mingw64_includedir}/lzma/version.h
%{mingw64_includedir}/lzma/vli.h
%{mingw64_libdir}/liblzma.dll.a
%{mingw64_libdir}/pkgconfig/liblzma.pc

%files -n mingw64-xz-libs-static
%{mingw64_libdir}/liblzma.a


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.2-3alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 26 2012 Michael Cronenworth <mike@cchtml.com> - 5.1.2-2alpha
- Fix CFLAGS.

* Sun Aug 26 2012 Michael Cronenworth <mike@cchtml.com> - 5.1.2-1alpha
- New upstream version.

* Thu Jun 07 2012 Michael Cronenworth <mike@cchtml.com> - 5.1.1-1alpha
- Initial RPM release.
